ФлеймФорумПрограммирование

Современные движки под мобилки - говно. Надо писать свой? (2 стр)

Страницы: 1 2
#15
9:18, 5 июля 2019

totoro
> Ну Эппловцы это мотивируют тем что опенгл устарел и не соответствует
> современным концепциям из-за появления асинхронщины всякой, однако непонятно
> тогда чем им вулкан не угодил?
Вот только огл это единственное сейчас гапи, которое хорошо совместимо даже со старыми видюхами и которое можно относительно прозрачно портировать на мобилки. Касательно метала - очередная срань, которую все проигнорят(вспоминаем Mantle).

#16
18:31, 5 июля 2019

нафига совместимости со старьем ?
Для игр наоборот нужно самое новое и модное а на старье принято забивать.

#17
18:36, 5 июля 2019

monobogdan
> 4. Обязательно, чтобы работал на древнем говне аля Android 2.1
Зачем настолько древнем? Хотя бы 4.0. А 2.1 даже современный Android SDK собирать уже не умеет. А ещё настолько старые устройства вряд ли хоть что-то нормальное отрендерить смогут.

А ещё 2.1 вроде даже GLES 2.0 не поддерживает. А это значит, никаких шейдеров, FFP, прошлый век.

#18
19:07, 5 июля 2019

gammaker
> Зачем настолько древнем
Ты бы знал, сколько ещё бичей ходят с доисторическими Galaxy Ace. А таргет на них как на минимальную платформу, потому что и особая графонистость и ненужна. Ффп функционала огл 1.1 хватит с головой.

#19
19:08, 5 июля 2019

endeavour_pr
С добрым утром

https://gamedev.ru/projects/forum/?id=234539

#20
10:37, 6 июля 2019

monobogdan
Я видел ...

Страницы: 1 2
ФлеймФорумПрограммирование

Тема в архиве.